package net.mcreator.waracoradacoandstagalitemet.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.waracoradacoandstagalitemet.entity.FlyingLizardEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class FlyingLizardRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(FlyingLizardEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelcustom_model(), 0.5f) {
					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("waraco_radaco_and_stagalitemet_:textures/flying_lizard.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.7.5
	// Exported for Minecraft version 1.15
	// Paste this class into your mod and generate all required imports
	public static class Modelcustom_model extends EntityModel<Entity> {
		private final ModelRenderer bb_main;
		private final ModelRenderer cube_r1;
		private final ModelRenderer cube_r2;
		private final ModelRenderer cube_r3;
		private final ModelRenderer cube_r4;
		public Modelcustom_model() {
			textureWidth = 64;
			textureHeight = 64;
			bb_main = new ModelRenderer(this);
			bb_main.setRotationPoint(0.0F, 24.0F, 0.0F);
			bb_main.setTextureOffset(0, 0).addBox(-5.0F, -13.0F, -13.0F, 10.0F, 6.0F, 21.0F, 0.0F, false);
			bb_main.setTextureOffset(28, 28).addBox(-2.5F, -19.0F, -18.25F, 5.0F, 4.0F, 6.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 9).addBox(5.0F, -11.0F, -5.0F, 5.0F, 0.0F, 9.0F, 0.0F, false);
			bb_main.setTextureOffset(10, 27).addBox(10.0F, -11.0F, -5.0F, 5.0F, 0.0F, 8.0F, 0.0F, false);
			bb_main.setTextureOffset(34, 7).addBox(15.0F, -11.0F, -5.0F, 5.0F, 0.0F, 7.0F, 0.0F, false);
			bb_main.setTextureOffset(10, 35).addBox(20.0F, -11.0F, -5.0F, 5.0F, 0.0F, 6.0F, 0.0F, false);
			bb_main.setTextureOffset(21, 38).addBox(25.0F, -11.0F, -5.0F, 5.0F, 0.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(40, 27).addBox(30.0F, -11.0F, -5.0F, 5.0F, 0.0F, 4.0F, 0.0F, false);
			bb_main.setTextureOffset(41, 31).addBox(35.0F, -11.0F, -5.0F, 5.0F, 0.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(9, 41).addBox(40.0F, -11.0F, -5.0F, 5.0F, 0.0F, 2.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 0).addBox(-10.0F, -11.0F, -5.0F, 5.0F, 0.0F, 9.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 27).addBox(-15.0F, -11.0F, -5.0F, 5.0F, 0.0F, 8.0F, 0.0F, false);
			bb_main.setTextureOffset(34, 0).addBox(-20.0F, -11.0F, -5.0F, 5.0F, 0.0F, 7.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 35).addBox(-25.0F, -11.0F, -5.0F, 5.0F, 0.0F, 6.0F, 0.0F, false);
			bb_main.setTextureOffset(36, 14).addBox(-30.0F, -11.0F, -5.0F, 5.0F, 0.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(38, 38).addBox(-35.0F, -11.0F, -5.0F, 5.0F, 0.0F, 4.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 18).addBox(-40.0F, -11.0F, -5.0F, 5.0F, 0.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(39, 19).addBox(-45.0F, -11.0F, -5.0F, 5.0F, 0.0F, 2.0F, 0.0F, false);
			cube_r1 = new ModelRenderer(this);
			cube_r1.setRotationPoint(1.5F, -11.0F, -12.75F);
			bb_main.addChild(cube_r1);
			setRotationAngle(cube_r1, 0.48F, 0.0F, 0.0F);
			cube_r1.setTextureOffset(27, 45).addBox(-3.0F, -6.0F, 0.0F, 3.0F, 6.0F, 3.0F, 0.0F, false);
			cube_r2 = new ModelRenderer(this);
			cube_r2.setRotationPoint(-2.0F, -2.0F, 2.0F);
			bb_main.addChild(cube_r2);
			setRotationAngle(cube_r2, 1.6144F, 0.0F, 0.0F);
			cube_r2.setTextureOffset(31, 38).addBox(-3.0F, -1.0F, 0.0F, 3.0F, 2.0F, 5.0F, 0.0F, false);
			cube_r2.setTextureOffset(0, 41).addBox(4.0F, -1.0F, 0.0F, 3.0F, 2.0F, 5.0F, 0.0F, false);
			cube_r3 = new ModelRenderer(this);
			cube_r3.setRotationPoint(5.0F, 0.0F, -3.0F);
			bb_main.addChild(cube_r3);
			setRotationAngle(cube_r3, 0.48F, 0.0F, 0.0F);
			cube_r3.setTextureOffset(42, 42).addBox(-3.0F, -1.0F, 0.0F, 3.0F, 1.0F, 5.0F, 0.0F, false);
			cube_r4 = new ModelRenderer(this);
			cube_r4.setRotationPoint(-2.0F, 0.0F, -3.0F);
			bb_main.addChild(cube_r4);
			setRotationAngle(cube_r4, 0.4363F, 0.0F, 0.0F);
			cube_r4.setTextureOffset(11, 43).addBox(-3.0F, -1.0F, 0.0F, 3.0F, 1.0F, 5.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			bb_main.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
		}
	}
}
