package net.mcreator.waracoradacoandstagalitemet.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.waracoradacoandstagalitemet.entity.GorgonabEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class GorgonabRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(GorgonabEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelcustom_model(), 0.5f) {
					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("waraco_radaco_and_stagalitemet_:textures/gorgonab.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.7.5
	// Exported for Minecraft version 1.15
	// Paste this class into your mod and generate all required imports
	public static class Modelcustom_model extends EntityModel<Entity> {
		private final ModelRenderer bb_main;
		private final ModelRenderer cube_r1;
		private final ModelRenderer cube_r2;
		private final ModelRenderer cube_r3;
		private final ModelRenderer cube_r4;
		private final ModelRenderer cube_r5;
		private final ModelRenderer cube_r6;
		private final ModelRenderer cube_r7;
		private final ModelRenderer cube_r8;
		private final ModelRenderer cube_r9;
		private final ModelRenderer cube_r10;
		public Modelcustom_model() {
			textureWidth = 128;
			textureHeight = 128;
			bb_main = new ModelRenderer(this);
			bb_main.setRotationPoint(0.0F, 24.0F, 0.0F);
			bb_main.setTextureOffset(43, 86).addBox(1.0F, -1.0F, -7.0F, 7.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(96, 96).addBox(1.0F, -13.0F, -4.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(81, 58).addBox(-8.0F, -1.0F, -7.0F, 7.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(48, 90).addBox(-8.0F, -13.0F, -4.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(81, 54).addBox(-8.0F, -1.0F, 15.0F, 7.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 86).addBox(-8.0F, -13.0F, 18.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(78, 32).addBox(1.0F, -1.0F, 15.0F, 7.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 18).addBox(1.0F, -13.0F, 18.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 0).addBox(-10.0F, -32.5F, -6.0F, 20.0F, 16.0F, 38.0F, 0.0F, false);
			cube_r1 = new ModelRenderer(this);
			cube_r1.setRotationPoint(-5.75F, -15.0F, -38.0F);
			bb_main.addChild(cube_r1);
			setRotationAngle(cube_r1, 0.4363F, 0.0F, 0.0F);
			cube_r1.setTextureOffset(19, 0).addBox(-1.0F, -3.0F, 0.0F, 2.0F, 3.0F, 2.0F, 0.0F, false);
			cube_r1.setTextureOffset(19, 18).addBox(10.0F, -3.0F, 0.0F, 2.0F, 3.0F, 2.0F, 0.0F, false);
			cube_r2 = new ModelRenderer(this);
			cube_r2.setRotationPoint(-5.25F, -13.0F, -36.5F);
			bb_main.addChild(cube_r2);
			setRotationAngle(cube_r2, 0.4363F, 0.0F, 0.0F);
			cube_r2.setTextureOffset(0, 0).addBox(-1.0F, -3.0F, 0.0F, 1.0F, 3.0F, 1.0F, 0.0F, false);
			cube_r2.setTextureOffset(0, 18).addBox(10.0F, -3.0F, 0.0F, 1.0F, 3.0F, 1.0F, 0.0F, false);
			cube_r3 = new ModelRenderer(this);
			cube_r3.setRotationPoint(-3.5F, -13.0F, -40.25F);
			bb_main.addChild(cube_r3);
			setRotationAngle(cube_r3, 0.5236F, 0.0F, 0.0F);
			cube_r3.setTextureOffset(24, 10).addBox(0.0F, -3.0F, 1.0F, 1.0F, 3.0F, 1.0F, 0.0F, false);
			cube_r3.setTextureOffset(24, 14).addBox(6.0F, -3.0F, 1.0F, 1.0F, 3.0F, 1.0F, 0.0F, false);
			cube_r4 = new ModelRenderer(this);
			cube_r4.setRotationPoint(-3.0F, -11.0F, -38.0F);
			bb_main.addChild(cube_r4);
			setRotationAngle(cube_r4, 0.5672F, 0.0F, 0.0F);
			cube_r4.setTextureOffset(24, 24).addBox(-1.0F, -3.0F, 0.0F, 2.0F, 3.0F, 2.0F, 0.0F, false);
			cube_r4.setTextureOffset(24, 5).addBox(5.0F, -3.0F, 0.0F, 2.0F, 3.0F, 2.0F, 0.0F, false);
			cube_r5 = new ModelRenderer(this);
			cube_r5.setRotationPoint(-4.5F, -5.25F, -39.0F);
			bb_main.addChild(cube_r5);
			setRotationAngle(cube_r5, 0.6109F, 0.0F, 0.0F);
			cube_r5.setTextureOffset(51, 54).addBox(-1.0F, -4.0F, 4.0F, 10.0F, 4.0F, 10.0F, 0.0F, false);
			cube_r6 = new ModelRenderer(this);
			cube_r6.setRotationPoint(-4.25F, -15.25F, -43.0F);
			bb_main.addChild(cube_r6);
			setRotationAngle(cube_r6, 0.2618F, 0.0F, 0.0F);
			cube_r6.setTextureOffset(78, 0).addBox(-1.0F, -4.0F, 4.0F, 10.0F, 4.0F, 10.0F, 0.0F, false);
			cube_r7 = new ModelRenderer(this);
			cube_r7.setRotationPoint(0.0F, -18.0F, -18.0F);
			bb_main.addChild(cube_r7);
			setRotationAngle(cube_r7, 0.2182F, 0.0F, 0.0F);
			cube_r7.setTextureOffset(0, 54).addBox(-9.0F, -12.0F, -12.0F, 17.0F, 15.0F, 17.0F, 0.0F, false);
			cube_r8 = new ModelRenderer(this);
			cube_r8.setRotationPoint(0.0F, -20.0F, -5.0F);
			bb_main.addChild(cube_r8);
			setRotationAngle(cube_r8, 0.1309F, 0.0F, 0.0F);
			cube_r8.setTextureOffset(68, 68).addBox(-6.0F, -10.0F, -12.0F, 11.0F, 10.0F, 17.0F, 0.0F, false);
			cube_r9 = new ModelRenderer(this);
			cube_r9.setRotationPoint(5.0F, -13.0F, 17.75F);
			bb_main.addChild(cube_r9);
			setRotationAngle(cube_r9, -0.4363F, 0.0F, 0.0F);
			cube_r9.setTextureOffset(0, 0).addBox(-4.0F, -13.0F, 0.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
			cube_r9.setTextureOffset(78, 14).addBox(-13.0F, -13.0F, 0.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
			cube_r10 = new ModelRenderer(this);
			cube_r10.setRotationPoint(-4.0F, -13.0F, -4.25F);
			bb_main.addChild(cube_r10);
			setRotationAngle(cube_r10, -0.4363F, 0.0F, 0.0F);
			cube_r10.setTextureOffset(24, 86).addBox(-4.0F, -13.0F, 0.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
			cube_r10.setTextureOffset(72, 95).addBox(5.0F, -13.0F, 0.0F, 7.0F, 13.0F, 5.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			bb_main.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
		}
	}
}
