package net.mcreator.waracoradacoandstagalitemet.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.waracoradacoandstagalitemet.entity.WaracoantEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class WaracoantRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(WaracoantEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelcustom_model(), 0.5f) {
					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("waraco_radaco_and_stagalitemet_:textures/waraco_ant.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.7.5
	// Exported for Minecraft version 1.15
	// Paste this class into your mod and generate all required imports
	public static class Modelcustom_model extends EntityModel<Entity> {
		private final ModelRenderer bb_main;
		private final ModelRenderer cube_r1;
		private final ModelRenderer cube_r2;
		private final ModelRenderer cube_r3;
		private final ModelRenderer cube_r4;
		public Modelcustom_model() {
			textureWidth = 32;
			textureHeight = 32;
			bb_main = new ModelRenderer(this);
			bb_main.setRotationPoint(0.0F, 24.0F, 0.0F);
			bb_main.setTextureOffset(0, 0).addBox(-3.0F, -5.0F, -5.0F, 5.0F, 4.0F, 11.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 15).addBox(-1.9F, -5.3F, -8.0F, 3.0F, 3.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(7, 5).addBox(0.4F, -9.0F, -8.0F, 1.0F, 4.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(6, 0).addBox(-1.8F, -9.0F, -8.0F, 1.0F, 4.0F, 1.0F, 0.0F, false);
			cube_r1 = new ModelRenderer(this);
			cube_r1.setRotationPoint(2.0F, -12.0F, -9.4F);
			bb_main.addChild(cube_r1);
			setRotationAngle(cube_r1, 0.4363F, 0.0F, 0.0F);
			cube_r1.setTextureOffset(8, 21).addBox(-2.0F, -2.0F, 0.0F, 2.0F, 2.0F, 0.0F, 0.0F, false);
			cube_r1.setTextureOffset(21, 0).addBox(-4.0F, -2.0F, 0.0F, 2.0F, 2.0F, 0.0F, 0.0F, false);
			cube_r2 = new ModelRenderer(this);
			cube_r2.setRotationPoint(-0.6F, -9.0F, -8.0F);
			bb_main.addChild(cube_r2);
			setRotationAngle(cube_r2, 0.5236F, 0.0F, 0.0F);
			cube_r2.setTextureOffset(0, 0).addBox(-1.0F, -4.0F, 0.0F, 1.0F, 4.0F, 1.0F, 0.0F, false);
			cube_r2.setTextureOffset(3, 4).addBox(1.0F, -4.0F, 0.0F, 1.0F, 4.0F, 1.0F, 0.0F, false);
			cube_r3 = new ModelRenderer(this);
			cube_r3.setRotationPoint(-3.3F, -0.7F, -4.0F);
			bb_main.addChild(cube_r3);
			setRotationAngle(cube_r3, 0.0F, 0.0F, 0.3927F);
			cube_r3.setTextureOffset(0, 8).addBox(-1.0F, -2.0F, 0.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r3.setTextureOffset(9, 15).addBox(-1.0F, -2.0F, 2.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r3.setTextureOffset(13, 15).addBox(-1.0F, -2.0F, 4.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r3.setTextureOffset(16, 17).addBox(-1.0F, -2.0F, 6.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r3.setTextureOffset(12, 18).addBox(-1.0F, -2.0F, 8.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r4 = new ModelRenderer(this);
			cube_r4.setRotationPoint(3.5F, -0.7F, 4.0F);
			bb_main.addChild(cube_r4);
			setRotationAngle(cube_r4, 0.0F, 0.0F, -0.48F);
			cube_r4.setTextureOffset(19, 19).addBox(-1.0F, -2.0F, 0.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r4.setTextureOffset(19, 15).addBox(-1.0F, -2.0F, -2.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r4.setTextureOffset(15, 20).addBox(-1.0F, -2.0F, -4.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r4.setTextureOffset(0, 21).addBox(-1.0F, -2.0F, -6.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r4.setTextureOffset(4, 21).addBox(-1.0F, -2.0F, -8.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			bb_main.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
		}
	}
}
